# Trait error_chain::ExitCode [−] [src]

    pub trait ExitCode {
        fn code(self) -> i32;
    }

Represents a value that can be used as the exit status of the process. See `quick_main!`.

## Required Methods

### `fn code(self) -> i32`

Returns the value to use as the exit status.

## Implementors

- `impl ExitCode for i32`
- `impl ExitCode for ()`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)